import requests
from mlmodel import checkApiKey



#funkcia ktora zobrazi v ktorom labeli sa nachadza nas hladany vyraz
#a s akou istotou si to mysli
def classifyText(key, text):
  checkApiKey(key)

  url = ("https://machinelearningforkids.co.uk/api/scratch/" + 
         key + 
         "/classify")

  response = requests.post(url, json={ "data" : text })

  if response.ok:
    responseData = response.json()
    topMatch = responseData[0]
    return topMatch
  else:
    errorData = response.json()
    print (errorData)
    response.raise_for_status()


#funkcia ktora ulozi nove priklady do modelu
def storeText(key, text, label):
  checkApiKey(key)
  
  url = ("https://machinelearningforkids.co.uk/api/scratch/" + 
         key + 
         "/train")

  response = requests.post(url, 
                           json={ "data" : text, "label" : label })

  if response.ok == False:
    #error sprava
    print (response.json())
